apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.21.0 (992df58d8)
  creationTimestamp: null
  labels:
    io.kompose.service: node-exporter
  name: node-exporter
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: node-exporter
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.21.0 (992df58d8)
      creationTimestamp: null
      labels:
        io.kompose.service: node-exporter
    spec:
      containers:
      - image: prom/node-exporter:latest
        imagePullPolicy: ""
        name: monitoring-node-exporter
        ports:
        - containerPort: 9100
        resources: {}
      restartPolicy: Always
      serviceAccountName: ""
      volumes: null
status: {}
